package com.ruoyi.business.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 t_return_stock
 * 
 * @author wms
 * @date 2022-08-25
 */
@TableName("t_return_stock")
public class TReturnStock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 退库编号 */
    @TableId(value = "stockReturnId", type = IdType.ASSIGN_UUID)
    private String stockreturnid;

    /** 物料编码 */
    @Excel(name = "物料编码")
    @TableField("goodsId")
    private String goodsid;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("goodsName")
    private String goodsname;

    /** 货位 */
    @Excel(name = "货位")
    @TableField("location")
    private String location;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("productlotId")
    private String productlotid;

    /** 托盘号 */
    @Excel(name = "托盘号")
    @TableField("ctl")
    private String ctl;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("productionDate")
    private Date productiondate;

    /** 有效日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expirationDate")
    private Date expirationdate;

    /** 创建日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @TableField("createDate")
    private Date createdate;

    /** 操作人员 */
    @Excel(name = "操作人员")
    @TableField("userName")
    private String username;

    /** EBS同步 */
    @Excel(name = "EBS同步")
    @TableField("ebs")
    private String ebs;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("shelfNum")
    private String shelfnum;

    /** 供应商 */
    @Excel(name = "供应商")
    @TableField("provider")
    private String provider;

    public void setStockreturnid(String stockreturnid) 
    {
        this.stockreturnid = stockreturnid;
    }

    public String getStockreturnid() 
    {
        return stockreturnid;
    }
    public void setGoodsid(String goodsid) 
    {
        this.goodsid = goodsid;
    }

    public String getGoodsid() 
    {
        return goodsid;
    }
    public void setGoodsname(String goodsname) 
    {
        this.goodsname = goodsname;
    }

    public String getGoodsname() 
    {
        return goodsname;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setProductlotid(String productlotid) 
    {
        this.productlotid = productlotid;
    }

    public String getProductlotid() 
    {
        return productlotid;
    }
    public void setCtl(String ctl) 
    {
        this.ctl = ctl;
    }

    public String getCtl() 
    {
        return ctl;
    }
    public void setProductiondate(Date productiondate) 
    {
        this.productiondate = productiondate;
    }

    public Date getProductiondate() 
    {
        return productiondate;
    }
    public void setExpirationdate(Date expirationdate) 
    {
        this.expirationdate = expirationdate;
    }

    public Date getExpirationdate() 
    {
        return expirationdate;
    }
    public void setCreatedate(Date createdate) 
    {
        this.createdate = createdate;
    }

    public Date getCreatedate() 
    {
        return createdate;
    }
    public void setUsername(String username) 
    {
        this.username = username;
    }

    public String getUsername() 
    {
        return username;
    }
    public void setEbs(String ebs) 
    {
        this.ebs = ebs;
    }

    public String getEbs() 
    {
        return ebs;
    }
    public void setShelfnum(String shelfnum) 
    {
        this.shelfnum = shelfnum;
    }

    public String getShelfnum() 
    {
        return shelfnum;
    }
    public void setProvider(String provider) 
    {
        this.provider = provider;
    }

    public String getProvider() 
    {
        return provider;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("stockreturnid", getStockreturnid())
            .append("goodsid", getGoodsid())
            .append("goodsname", getGoodsname())
            .append("location", getLocation())
            .append("productlotid", getProductlotid())
            .append("ctl", getCtl())
            .append("productiondate", getProductiondate())
            .append("expirationdate", getExpirationdate())
            .append("createdate", getCreatedate())
            .append("username", getUsername())
            .append("ebs", getEbs())
            .append("shelfnum", getShelfnum())
            .append("provider", getProvider())
            .toString();
    }
}
